exports.ubicame = function(navController) {
var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Mapa',
    backgroundColor: '#000',
});

var back = Titanium.UI.createImageView({
		image:'metritomx.png',
		top:'0%',
        left:'0%',
        width:'100%',
        height:'20%',
});
win1.add(back);
   
   var mapview = Titanium.Map.createView({
	top: 5,
	height: 650,
	mapType: Titanium.Map.STANDARD_TYPE,
	region:{
		latitude: 19.48977084487796, 
		longitude: -99.15602604808913, 
		latitudeDelta:0.5, 
		longitudeDelta:0.5},
	animate: true,
	regionFit: true,
	userLocation: true,
	zoom: 20
});

win1.add(mapview);

var annotation = Titanium.Map.createAnnotation({
	latitude: 19.415359,
    longitude: -99.072207,
	title: 'Pantitlan',
	image: 'lineaa.png',
	subtitle: 'Correspondencia: L1, L5, L9'
});

var annotation2 = Titanium.Map.createAnnotation({
	latitude: 19.404795,
    longitude: -99.069874,
	title: 'Agricola Oriental',
	image: 'lineaa.png',
    
});

var annotation3 = Titanium.Map.createAnnotation({
	latitude: 19.398733,
    longitude: -99.059386,
	title: 'Canal de San Juan',
	image: 'lineaa.png',
});

var annotation4 = Titanium.Map.createAnnotation({
	latitude: 19.390900,
    longitude: -99.046290,
	title: 'Tepalcates',
	image: 'lineaa.png'
});

var annotation5 = Titanium.Map.createAnnotation({
	latitude: 19.385132,
    longitude: -99.035633,
	title: 'Guelatao',
	image: 'lineaa.png',
});

var annotation6 = Titanium.Map.createAnnotation({
	latitude: 19.373320,
    longitude: -99.017082,
	title: 'Peñon Viejo',
	image: 'lineaa.png',
	//subtitle: 'Correspondencia: L4'
});

var annotation7 = Titanium.Map.createAnnotation({
	latitude: 19.364717,
    longitude: -99.005678,
	title: 'Acatitla',
	image: 'lineaa.png',
	//subtitle: 'Correspondencia: L2 L8'
});

var annotation8 = Titanium.Map.createAnnotation({
	latitude: 19.360263,
    longitude: -98.995121,
	title: 'Santa Martha',
	image: 'lineaa.png'
});


var annotation9 = Titanium.Map.createAnnotation({
	latitude: 19.359028,
    longitude: -98.976871,
	title: 'Los Reyes',
	image: 'lineaa.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation10 = Titanium.Map.createAnnotation({
	latitude: 19.3506587,
	longitude: -98.960992,
	title: 'La Paz',
	image: 'lineaa.png'
	//subtitle: 'Correspondencia: L6'
});



//Agregamos los puntos del GPS
mapview.addRoutePointLight(annotation);
mapview.addRoutePointLight(annotation2);
mapview.addRoutePointLight(annotation3);
mapview.addRoutePointLight(annotation4);
mapview.addRoutePointLight(annotation5);
mapview.addRoutePointLight(annotation6);
mapview.addRoutePointLight(annotation7);
mapview.addRoutePointLight(annotation8);
mapview.addRoutePointLight(annotation9);
mapview.addRoutePointLight(annotation10);

mapview.updateRoute();
    
    //Trazamos las lineas
mapview.addAnnotationLight(annotation);
mapview.addAnnotationLight(annotation2);
mapview.addAnnotationLight(annotation3);
mapview.addAnnotationLight(annotation4);
mapview.addAnnotationLight(annotation5);
mapview.addAnnotationLight(annotation6);
mapview.addAnnotationLight(annotation7);
mapview.addAnnotationLight(annotation8);
mapview.addAnnotationLight(annotation9);
mapview.addAnnotationLight(annotation10);
mapview.updateAnnotations();
    
   
    //win1.open();
    

return win1;
};